Jump to content



Photo
- - - - -

I am requesting general assistance with my first mod installation, please. :)


  • Please log in to reply
4 replies to this topic

#1 MrBellic

MrBellic

    Nobody Special

  • Members
  • 3 posts
  • United States 

Posted 10 August 2011 - 11:45 PM

Hello, 'The GTA PLACE', and I am a new member. :) I have just recently downloaded the Grand Theft Auto: IV variant for PC on my 64-bit, Windows 7, Sony Vaio notebook, from 'Games for Windows Marketplace'. The game it self is functioning well, though for optimal usage, I have most of my graphics settings at the lowest level so that the frame rate is not affected. I have purchased the PC version chiefly because I wish to install mods for the police vehicles, replace the sirens with realisitc ones and have the flashing lights. Therefore, I would like to utilize both ELS and ENB, if possible. I have heard that the ENB mod generates a beautiful graphical enhancement; I have taken notices of some pictures, which look absolutely phenomenal. It looks like such revolutionary technology in the field of Grand Theft Auto modding. :) I do not wish to detract from the subject, but I have personally watched so many cool videos of police mods and thought to myself: 'Oh my god, I must have such and such a vehicle! or this siren'. I love the Crown Victoria ones as well as the Impalas. The sheer detail that the modder implements into these vehicles is impeccable and like nothing I have ever seen before, from a technological standpoint. :D

Watching said videos fueled my aspiration to learn how to install mods and I am very excited to begin replacing the police cruisers. Alas, the process of modding is an intricate and sometimes rigorous undertaking, so I presume, given the various programs and patches that must be applied before Grand Theft Auto: IV can be moddable. :) I will tell you, that I have made very valiant attempts to discern this process by myself. Granted, I have succumbed to stress and frustrations on multiple occassions, but even still I have learned which programs must be used, by conducting much research and referring to various GTA related websites for the information. Initially, I was perplexed with what progam I had to download and install in which to administer the mods. I learned that it has to be either 'SparkIV' or 'OpenIV'; I am running the latter. I currently have downloaded one mod, which is called the 'Unmarked FCVs Pack', an assortment of police cruisers. I have tried as much as I can, and I am now seeking all of the assistance that I can have so that I can get used to how the program operates and thus be able to install other police mods, which I definitely want to do. :) If I may, I would like to post the specific of my mod and explained what I have attempted to accomplished. Regrettably, I already am experiencing difficulties. I so apologize for my long post, but I am new to modding and I am not sure how to go about it. Please find my mod's 'ReadMe' file below. :)

I have attempted to add the police .wft and .wtd files provided by the modder and after selecting the file, I receive an application error prompt, stating that access is denied and the file cannot be opened. I have also downloaded the 'GTA4-Launcher' and patched the 'filelist.pak' file in the hopes that this would cancel the error. A second attempt to add the file yielded to the same result. Therefore, I am stumped in this regard. Additonally, I am trying to use the "iCEnhancer125' ENB mod and ELS, version 4, which is required for the lights and sirens of this particular mod. However, I tried running the game with the enhancer and I also receved another application error; I most likely did something wrong. As for ELS, it cannot be downloaded anywhere, so I have been told, therefore I added all of the 'ELS v4' files to my GTA: IV Directory. Again, I did not mean for such a long message, but I really would like to have my mod in game by sometime tonight. I have a very strong mindset with accomplishing something, and this has been on my mind for two days now. I welcome all help. Thank you very much. :)

Attached Files



#2 TUN3R

TUN3R

    Executioner

  • Members
  • PipPipPipPipPipPipPipPip
  • 1,569 posts

Posted 11 August 2011 - 08:51 PM

I don't think I ever read so much in my whole life. Thanks.

Well 1st thing you should do right now is reinstall GTA IV. Cause with all the errors you received so far I doubt you'll ever be able to get a mod to work with the game as it is now.

Next, common knowledge before modding ANY game:
-Right click on the game's main folder > Properties > Deselect the ''Read Only'' box, if it's not selected then select it and deselect it again.
-Patch the game to the newest version, cracking (gotta play to win!) is optional but recommended if you have the game through retail (or through that ''other'' reliable source).
-Backup the files you're going to mod.

Okay now before I proceed to writing any further tell me something: do you want to replace existing vehicles OR add new ones?

#3 MrBellic

MrBellic

    Nobody Special

  • Members
  • 3 posts
  • United States 

Posted 11 August 2011 - 11:26 PM

Yes, I am happy to see that you have just responded. First of all, the great news; I have successfully added two of my police vehicles to OpenIV. :) I had to run the program as administrator and I also looked at the designs of the vehicles to ensure that they are the correct vehicles, and they are. Two very beautiful renditions of a Florida and Idaho police cruisers with all of the details. This is excellent. Furthermore, I have downloaded Emergency Lighting System version 4 as well as LCPDFR. However, this version of ELS is only compatible with patch 1.0.4.0., which, I upgraded to yesterday; however, I lost my menu buttons, I believe due to the Scripthook. I am not entirely sure. Yes, I am trying to also to run ENB, becasue it an impressive mod at that. Therefore, I have a conflict; I want to test my police mods and ELS 4 to see how it functions on my laptop. Indeed, I know very well that a laptop is not made to run a massive game such as Grand Theft Auto: IV, but as long as my graphic settings are low, my 'Resource Usage' remains low, thus there is a little lag, which is good. The textures are also grainy and fragmented, but I do believe that is to be expected.
he problem is, with all of these various mods, it seems that the 'Scripthook' is a vital component to successful operation of the mods. But, I am confused, because I had thought you also needed to patch the 'fileslist.dak' file to patch it. Then all of mod installations will run on the game. However, another question of mine is, what needs to be completed first? The update 1.0.4.0. or patching the dak file? This is all dependent upon each other. Perhaps, I should start the game and see if my vehicles are appearing. :)

#4 MrBellic

MrBellic

    Nobody Special

  • Members
  • 3 posts
  • United States 

Posted 11 August 2011 - 11:30 PM

Update 1: I did lauch the game to see if my vehicles appeared, and I did not see them. I do believe that my game has to be patched, in order to be moddable. However, how do I go about this? I had really thought that I would be testing out my modded police vehicles by now. I am just kind of frustrated because I am trying to discern the process, but it is seemingly very intricate. Perhaps, and most likely, I am making it more difficult than it is. I know that I can do it, but it is a matter of practice. :)

#5 TUN3R

TUN3R

    Executioner

  • Members
  • PipPipPipPipPipPipPipPip
  • 1,569 posts

Posted 12 August 2011 - 07:05 AM

That's great. But you still haven't answered my question, do you want to REPLACE existing vehicles with the modded ones or just ADD them? The processes are different for beginners...

As for ENB, ELS and whatever, IDK why you're using them if your PC can't run the game with it's own graphics at a decent level... anyway my PC isn't great ether so I've never tried these, but if they have versions for 1.0.7.0 you should update your game, 1.7 doesn't necessarily run better but for me modding was easier (I believe 1.7 decrypts the files or some lame shit like that) and the game also feels a bit more solid...




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users